# iai agents describe

Describe an agent in detail

## Synopsis

Show detailed information about a specific agent including its configuration.

Use --version to view a specific past version instead of the current state.

Examples: iai agents describe my-agent iai agents describe my-agent --version 3

```
iai agents describe <agent_name> [flags]
```

## Options

```
  -h, --help                  help for describe
  -o, --organization string   Organization name
  -p, --project string        Project name
      --revision int          Show a specific past revision instead of the current state
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai agents](/cli/iai_agents.md) - Deploy AI agents with policies, routines, and tools


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interactive.ai/cli/iai_agents_describe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
